# This file would contain database models if we were using a database
# For this simple application, we'll just define some basic structures

class CarListing:
    def __init__(self, seller_name, email, phone, message, brand, model, model_variant, 
                 year, engine_type, fuel_type, color, body_style, kw, ps, transmission, 
                 doors, mileage, city, postal_code, images=None):
        self.seller_name = seller_name
        self.email = email
        self.phone = phone
        self.message = message
        self.brand = brand
        self.model = model
        self.model_variant = model_variant
        self.year = year
        self.engine_type = engine_type
        self.fuel_type = fuel_type
        self.color = color
        self.body_style = body_style
        self.kw = kw
        self.ps = ps
        self.transmission = transmission
        self.doors = doors
        self.mileage = mileage
        self.city = city
        self.postal_code = postal_code
        self.images = images or []  # Default to empty list if no images

    def to_dict(self):
        return {
            'seller_name': self.seller_name,
            'email': self.email,
            'phone': self.phone,
            'message': self.message,
            'brand': self.brand,
            'model': self.model,
            'model_variant': self.model_variant,
            'year': self.year,
            'engine_type': self.engine_type,
            'fuel_type': self.fuel_type,
            'color': self.color,
            'body_style': self.body_style,
            'kw': self.kw,
            'ps': self.ps,
            'transmission': self.transmission,
            'doors': self.doors,
            'mileage': self.mileage,
            'city': self.city,
            'postal_code': self.postal_code,
            'images': self.images
        }
